<?php
require_once "nusoap/lib/nusoap.php";
include '../conexion/conn.php';

set_time_limit(0);

ini_set('memory_limit', '-1');


$rs3 = mysql_query("SELECT * FROM sys_detalle_cliente_programas WHERE cliente_id='RB' AND programa_id='1'");
while($row3 = mysql_fetch_array($rs3)){
	$link_sincro_a_tablet=$row3['link_sincro_a_tablet'];
}

$cliente_web = new nusoap_client($link_sincro_a_tablet);

$archivo_array=array();

$calibre_array=array();
$embalaje_array=array();
$tipo_usuario_array=array();
$usuario_array=array();
$exp_array=array();
$detexp_array=array();
$variedad_array=array();

$packing_array=array();
$packing_detalle_array=array();
$defectos_array=array();
$planilla_defectos_array=array();
$norma_detalle_array=array();

$filtros_array=array();

$sql =  ("ALTER TABLE `contenedor_planilla` CHANGE `booking` `booking` VARCHAR(20) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;");
$result = @mysql_query($sql);

$sql =  ("UPDATE `cal_fotos` SET sincro='N'");
$result = @mysql_query($sql);

$sql =  ("UPDATE `contenedor_fotos` SET sincro='E'");
$result = @mysql_query($sql);

$sql =  ("UPDATE `contenedor_estiba` SET sincro='E'");
$result = @mysql_query($sql);


$sql =  ("UPDATE `contenedor_estiba` SET sincro='E' where sincro='N'");
$result = @mysql_query($sql);
		
		//ESPECIES
		$especie_array=array();
		$especie_array=$cliente_web->call("buscar_cliente");	
		
		if($especie_array!=NULL){
			//echo "<br/> ESPECIES <br/>";
			$sql6 = "DELETE FROM sys_cliente";
             $result6 = @mysql_query($sql6);
			foreach($especie_array as $item){
				$sql =  ("INSERT INTO `sys_cliente`(`cliente_id`, `cliente_nombre`, `usu_crea`, `fecha_crea`, `estado`) VALUES ('".$item['cliente_id']."','".$item['cliente_nombre']."' ,'".$item['usu_crea']."','".$item['fecha_crea']."','".$item['estado']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "Cliente OK <br/>";
		}else{
			echo "No hay Cliente<br/>";
		}

		$tipo_usuario_array=$cliente_web->call("buscar_tipo_usuario");	
		
		if($tipo_usuario_array!=NULL){
			echo "<br/> TIPO USUARIO <br/>";
			$sql6 = "DELETE FROM sys_usuario";
			$result6 = @mysql_query($sql6);
			$sql6 = "DELETE FROM sys_tipo_usuario";
             $result6 = @mysql_query($sql6);
			foreach($tipo_usuario_array as $item){
				$sql =  ("INSERT INTO `sys_tipo_usuario`(`id_tipousuario`, `nombre_tipousuario`) VALUES ('".$item['id_tipousuario']."','".$item['nombre_tipousuario']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "Tipo usuarios OK <br/>";
		}else{
			echo "No hay Usuario<br/>";
		}

		$usuario_array=$cliente_web->call("buscar_usuario_conte");	
		
		if($usuario_array!=NULL){
			echo "<br/> USUARIO <br/>";
			$sql6 = "DELETE FROM sys_usuario";
             $result6 = @mysql_query($sql6);
			foreach($usuario_array as $item){
				$sql =  ("INSERT INTO `sys_usuario`(`usuario_rut`, `usuario_nombre`, `usuario_apepaterno`, `usuario_apematerno`, `usuario_clave`, `id_tipousuario`, `usuario_fechaingreso`, `usuario_intentos`, `usuario_estado`, `usuario_mail`, `usuario_telefono`, `usuario_folio`, `ultimo_folio`, `usuario_foto`, `cliente_id`) VALUES ('".$item['usuario_rut']."','".$item['usuario_nombre']."','".$item['usuario_apepaterno']."','".$item['usuario_apematerno']."','".$item['usuario_clave']."','".$item['id_tipousuario']."','".$item['usuario_fechaingreso']."','".$item['usuario_intentos']."','".$item['usuario_estado']."','".$item['usuario_mail']."','".$item['usuario_telefono']."','".$item['usuario_folio']."','".$item['ultimo_folio']."','".$item['usuario_foto']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "usuarios OK <br/>";
		}else{
			echo "No hay Usuario<br/>";
		}

		$exp_array=$cliente_web->call("buscar_exportadoras");	
		
		if($exp_array!=NULL){
			echo "<br/> EXPORTADOR <br/>";
			$sql6 = "DELETE FROM cal_exportadoras";
             $result6 = @mysql_query($sql6);
			foreach($exp_array as $item){
				$sql =  ("INSERT INTO `cal_exportadoras`(`exportador_cod`, `exportador_nombre`, `cliente_id`) VALUES ('".$item['exportador_cod']."','".$item['exportador_nombre']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "exportador OK <br/>";
		}else{
			echo "No hay exportador<br/>";
		}


		//ESPECIES
		$especie_array=array();
		$especie_array=$cliente_web->call("buscar_especie_sin_cliente");	
		
		if($especie_array!=NULL){
			echo "<br/> ESPECIES <br/>";
			$sql6 = "DELETE FROM cal_especies";
             $result6 = @mysql_query($sql6);
			foreach($especie_array as $item){
				$sql =  ("INSERT INTO `cal_especies`(`especie_id`, `especie_cod`, `especie_nombre`, `tipo_medicion`, `especie_estado`, `cliente_id`) VALUES ('".$item['especie_id']."','".$item['especie_cod']."','".$item['especie_nombre']."','".$item['tipo_medicion']."','".$item['especie_estado']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "Especies OK <br/>";
		}else{
			echo "No hay Especies<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_detalle_cliente_programa");	
		
		if($detalle_cliente_programa_array!=NULL){
			echo "<br/> DETALLE CLIENTE <br/>";
			$sql6 = "DELETE FROM sys_detalle_cliente_programas";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `sys_detalle_cliente_programas`(`detalle_id`, `cliente_id`, `programa_id`, `link_sincro_planillas`, `link_sincro_fotos`, `link_sincro_a_tablet`) VALUES ('".$item['detalle_id']."','".$item['cliente_id']."','".$item['programa_id']."','".$item['link_sincro_planillas']."','".$item['link_sincro_fotos']."','".$item['link_sincro_a_tablet']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "Detalle Cliente OK <br/>";
		}else{
			echo "No hay Detalle Cliente<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_mercado");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_mercado";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_mercado`(`cod_mer`, `nom_mer`, `est_mer`, `cliente_id`) VALUES ('".$item['cod_mer']."','".$item['nom_mer']."','".$item['est_mer']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_mercado OK <br/>";
		}else{
			echo "No hay contenedor_mercado<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_nave");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_nave";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_nave`(`nave_cod`, `nave_nombre`, `cod_nav`, `nave_estado`, `cliente_id`) VALUES ('".$item['nave_cod']."','".$item['nave_nombre']."','".$item['cod_nav']."','".$item['nave_estado']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_nave OK <br/>";
		}else{
			echo "No hay contenedor_nave<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_naviera");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_naviera";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_naviera`(`cod_nav`, `nom_nav`, `est_nav`, `cliente_id`) VALUES ('".$item['cod_nav']."','".$item['nom_nav']."','".$item['est_nav']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_naviera OK <br/>";
		}else{
			echo "No hay contenedor_naviera<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_norma_planilla");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_norma_planilla";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_norma_planilla`(`norma_id`, `norma_descripcion`, `exportador_cod`, `especie_cod`, `tipo_viaje`, `mercado`, `cliente_id`) VALUES ('".$item['norma_id']."','".$item['norma_descripcion']."','".$item['exportador_cod']."','".$item['especie_cod']."','".$item['tipo_viaje']."','".$item['mercado']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_norma_planilla OK <br/>";
		}else{
			echo "No hay contenedor_norma_planilla<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_norma_detalle");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_norma_detalle";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_norma_detalle`(`id_detalle`, `norma_id`, `id_detalle_validar`, `tipo_detalle`, `valor1`, `valor2`, `valor3`) VALUES ('".$item['id_detalle']."','".$item['norma_id']."','".$item['id_detalle_validar']."','".$item['tipo_detalle']."','".$item['valor1']."','".$item['valor2']."','".$item['valor3']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_norma_detalle OK <br/>";
		}else{
			echo "No hay contenedor_norma_detalle<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_planta");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_planta";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_planta`(`cod_planta`, `nom_planta`, `exportador_cod`, `est_planta`, `cliente_id`) VALUES ('".$item['cod_planta']."','".$item['nom_planta']."','".$item['exportador_cod']."','".$item['est_planta']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_planta OK <br/>";
		}else{
			echo "No hay contenedor_planta<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_puerto");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_puerto";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_puerto`(`cod_puerto`, `nom_puerto`, `est_puerto`, `cliente_id`) VALUES ('".$item['cod_puerto']."','".$item['nom_puerto']."','".$item['est_puerto']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_puerto OK <br/>";
		}else{
			echo "No hay contenedor_puerto<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_tipo_atmosfera");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_tipo_atmosfera";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_tipo_atmosfera`(`cod_tipo_at`, `nom_tipo_at`, `est_tipo_at`, `cliente_id`) VALUES ('".$item['cod_tipo_at']."','".$item['nom_tipo_at']."','".$item['est_tipo_at']."','".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_tipo_atmosfera OK <br/>";
		}else{
			echo "No hay contenedor_tipo_atmosfera<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_contenedor_transporte");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM contenedor_transporte";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `contenedor_transporte`(`cod_trans`, `nom_trans`, `est_trans`, `cliente_id`) VALUES ('".$item['cod_trans']."','".$item['nom_trans']."', '".$item['est_trans']."', '".$item['cliente_id']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "contenedor_transporte OK <br/>";
		}else{
			echo "No hay contenedor_transporte<br/>";
		}

		//DETALLE CLIENTE PROGRAMA
		$detalle_cliente_programa_array=array();
		$detalle_cliente_programa_array=$cliente_web->call("buscar_detalle_validar");	
		
		if($detalle_cliente_programa_array!=NULL){
			//echo "<br/> DETALLE MERCADO <br/>";
			$sql6 = "DELETE FROM detalle_validar";
             $result6 = @mysql_query($sql6);
			foreach($detalle_cliente_programa_array as $item){
				$sql =  ("INSERT INTO `detalle_validar`(`id_detalle_validar`, `nombre_detalle`) VALUES ('".$item['id_detalle_validar']."','".$item['nombre_detalle']."')");
					$result = @mysql_query($sql);
				
				
			   //echo $item['usuario_rut']." - ".$item['usuario_nombre']."<br/>";
			}	
			echo "detalle_validar OK <br/>";
		}else{
			echo "No hay detalle_validar<br/>";
		}


?>